
SRC=		srv/src/context.js		\
			srv/src/room.js			\
			srv/src/message.js		\
			srv/src/chatter.js		\
			\
			cli/lang/core.js		\
			cli/lang/fr.js			\
			cli/lang/en.js			\
			\
			cli/resources.js		\
			cli/ui.js				\
			cli/dom.js				\
			cli/emojiBar.js			\
			cli/data.js				\
			cli/contextBackground.js\
			cli/workflow.js

OUTPUT=		srv/public/slack.min.js

CLOSURE=	cli/closure-compiler-v20170218.jar

all:
	java -jar ${CLOSURE} --compilation_level ADVANCED --language_in=ECMASCRIPT5_STRICT --warning_level=VERBOSE --js_output_file ${OUTPUT} ${SRC}

debug:
	java -jar ${CLOSURE} --compilation_level WHITESPACE_ONLY --language_in=ECMASCRIPT5_STRICT --js_output_file ${OUTPUT} ${SRC}

$OUTPUT: all

clean:
	$(RM) $(OUTPUT)

re:	clean all

.PHONY: all debug clean re

